import net.daimaku.cpress.entity.BaseEntity

/**
 * 生成 A ~ Z 字母序号
 */
def letter26(args) {
    def nums = new String[26]
    for (int i = 0; i < 26; i++) {
        char c = (char) i + 65
        nums[i] = new String(c)
    }
    return nums
}

/*
 * {% set map = plugin('helper.listToMap', menus.list, "parentId") %}
 *
 * [{id:1, parentId: 0, name: "demo1"}, {id:2, parentId: 0, name: "demo2"}, {id:2, parentId: 1, name: "demo3"}]
 *
 * {
 *  0: [{id:1, parentId: 0, name: "demo1"}, {id:2, parentId: 0, name: "demo2"}],
 *  1: [{id:3, parentId: 1, name: "demo3"}]
 * }
 */
def listToMap(args) {
    Map<Long, Object> map = new LinkedHashMap<>();
    for (BaseEntity menu : args[0]) {
        List<BaseEntity> one = map.computeIfAbsent(menu.getAttr(args[1]), k -> new LinkedList<>());
        one.add(menu);
    }
    return map
}


