#!/bin/bash

BASE_PATH="$(cd "$(dirname "$0")" && pwd)"
cd "$BASE_PATH"

# 仅结束当前目录的程序进程
pid=`jps -m -l | grep "$BASE_PATH/cpress.jar" | grep -v grep | awk '{print $1}'`

# pid=`ps ax | grep -i 'cpress.jar' | grep java | grep -v grep | awk '{print $1}'`

if [ -z "$pid" ] ; then
        echo "No CPress running."
        exit -1;
fi

echo "The CPress(${pid}) is running..."

kill ${pid}

echo "Send shutdown request to CPress(${pid}) OK"

