ALTER TABLE `task` ADD `tag` VARCHAR(100);

INSERT INTO `task` (`name`, `code`, `tag`, `status`)
VALUES
('用户管理', 'user', '帐号权限', 'normal'),
('文章管理', 'article', '文章管理', 'normal'),
('菜单管理', 'adminMenu', '系统配置', 'normal'),
('角色管理', 'role', '帐号权限', 'normal'),
('权限管理', 'task', '帐号权限', 'normal'),
('分类管理', 'category', '文章管理', 'normal'),
('导航管理', 'menu', '网站设置', 'normal'),
('页面管理', 'page', '网站设置', 'normal'),
('推荐位', 'position', '网站设置', 'normal'),
('标签管理', 'tag', '文章管理', 'normal'),
('广告管理', 'banner', '网站设置', 'normal');

INSERT INTO `option` (`name`, `value`)
VALUES
('site.name', '我的小站');

INSERT INTO `role` (`name`, `code`, `spec`, `sort`, `status`)
VALUES
('管理员', 'admin', '后台管理员', 100, 'normal');

INSERT INTO `term` (`id`, `_model`, `name`, `slug`, `sort`, `flag`, `status`, `description`, `parent_id`, `user_id`, `count`)
VALUES
(9, 'adminMenu', '帐号权限', '', 200, NULL, 'normal', NULL, 0, NULL, 0),
(10, 'adminMenu', '用户', '/document/user', 100, NULL, 'normal', NULL, 9, NULL, 0),
(11, 'adminMenu', '权限', '/document/task', 100, NULL, 'normal', NULL, 9, NULL, 0),
(12, 'adminMenu', '角色', '/document/role', 100, NULL, 'normal', NULL, 9, NULL, 0),
(13, 'adminMenu', '标签', '/document/tag', 10, NULL, 'normal', NULL, 1, NULL, 0);
